Package org.eclipse.cdt.core.dom.ast

# Interface IPointerType

All Superinterfaces:
  `Cloneable`, `IType`

All Known Subinterfaces:
  `ICPointerType`, `ICPPPointerToMemberType`, `IGPPPointerToMemberType`, `IGPPPointerType`

public interface IPointerType extends IType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`IType`
`getType()`
Returns the type that this is a pointer to.
`boolean`
`isConst()`
Returns whether the pointer is const qualified.
`boolean`
`isRestrict()`
Returns whether the pointer is qualified to be restrict.
`boolean`
`isVolatile()`
Returns whether the pointer is volatile qualified.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Method Details

### getType

IType getType()
Returns the type that this is a pointer to.

### isConst

boolean isConst()
Returns whether the pointer is const qualified.

### isVolatile

boolean isVolatile()
Returns whether the pointer is volatile qualified.

### isRestrict

boolean isRestrict()
Returns whether the pointer is qualified to be restrict. For c++ this is a GNU-extension.

Since:
  5.3